Debian Bug report logs - #532266
"ITP: haskell-mmap -- Memory mapped files for POSIX and Windows"

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Mon, 8 Jun 2009 03:12:01 UTC

Severity: wishlist

Fixed in version haskell-mmap/0.4.1-1

Done: Marco Túlio Gontijo e Silva <marcot@riseup.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-haskell@lists.debian.org, <wnpp@debian.org>:
Bug#532266; Package wnpp. (Mon, 08 Jun 2009 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-haskell@lists.debian.org, <wnpp@debian.org>. (Mon, 08 Jun 2009 03:12:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: haskell-mmap -- Memory mapped files for POSIX and Windows
Date: Mon, 08 Jun 2009 13:08:46 +1000
Package: wnpp
Severity: wishlist

This package is a build dependency for the next version of Darcs (by
way of haskell-hashed-storage, see #532154).
Thus, this needs to be in Debian before Darcs 2.3 can enter Debian.
If nobody else wants to take this one, I will.

* Package name    : haskell-mmap
  Version         : 0.2
  Upstream Author : Gracjan Polak <gracjanpolak@gmail.com>
* URL             : http://hackage.haskell.org/cgi-bin/hackage-scripts/package/mmap-0.1
* License         : BSD3
  Programming Lang: Haskell
  Description     : Memory mapped files for POSIX and Windows

This library provides a wrapper to mmap(2) or MapViewOfFile, allowing
files or devices to be lazily loaded into memory as strict or lazy
ByteStrings, ForeignPtrs or plain Ptrs, using the virtual memory
subsystem to do on-demand loading. Modifications are also supported.




Blocking bugs of 532154 added: 532266 Request was from trentbuck@gmail.com to control@bugs.debian.org. (Mon, 08 Jun 2009 05:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532266; Package wnpp. (Fri, 17 Jul 2009 13:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 17 Jul 2009 13:30:05 GMT) Full text and rfc822 format available.

Message #12 received at 532266@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 532266@bugs.debian.org, control@bugs.debian.org
Subject: I'll do it.
Date: Fri, 17 Jul 2009 10:12:20 -0300
retitle 532266 "haskell-mmap -- Memory mapped files for POSIX and
Windows" thanks

I'll do it by the Haskell Packaging Group.

Greetings.
-- 
marcot
http://marcot.iaaeee.org/




Changed Bug title to `"haskell-mmap -- Memory mapped files for POSIX and' from `RFP: haskell-mmap -- Memory mapped files for POSIX and Windows'. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Fri, 17 Jul 2009 13:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532266; Package wnpp. (Fri, 17 Jul 2009 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 17 Jul 2009 14:00:04 GMT) Full text and rfc822 format available.

Message #19 received at 532266@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: control@bugs.debian.org, 532266@bugs.debian.org
Subject: Correction of commands
Date: Fri, 17 Jul 2009 10:46:38 -0300
retitle retitle 532266 "ITP: haskell-mmap -- Memory mapped files for POSIX and Windows"
thanks

Sorry,

I had some problems with configuration of my MUA.  And I also forget to add the
ITP: to the bug title.

Greetings.

-- 
marcot
http://marcot.iaaeee.org/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532266; Package wnpp. (Fri, 17 Jul 2009 14:12:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 17 Jul 2009 14:12:23 GMT) Full text and rfc822 format available.

Message #24 received at 532266@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: control@bugs.debian.org, 532266@bugs.debian.org
Subject: Sorry again
Date: Fri, 17 Jul 2009 11:05:42 -0300
retitle 532266 "ITP: haskell-mmap -- Memory mapped files for POSIX and Windows"
thanks

Hope now it's ok.

Greetings.
-- 
marcot
http://marcot.iaaeee.org/




Changed Bug title to `"ITP: haskell-mmap -- Memory mapped files for POSIX and Windows"' from `"haskell-mmap -- Memory mapped files for POSIX and'. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Fri, 17 Jul 2009 14:12:27 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 20 Jul 2009 20:09:02 GMT) Full text and rfc822 format available.

Reply sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
You have taken responsibility. (Sat, 15 Aug 2009 13:42:14 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Sat, 15 Aug 2009 13:42:15 GMT) Full text and rfc822 format available.

Message #33 received at 532266-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 532266-close@bugs.debian.org
Subject: Bug#532266: fixed in haskell-mmap 0.4.1-1
Date: Sat, 15 Aug 2009 13:17:09 +0000
Source: haskell-mmap
Source-Version: 0.4.1-1

We believe that the bug you reported is fixed in the latest version of
haskell-mmap, which is due to be installed in the Debian FTP archive:

haskell-mmap_0.4.1-1.diff.gz
  to pool/main/h/haskell-mmap/haskell-mmap_0.4.1-1.diff.gz
haskell-mmap_0.4.1-1.dsc
  to pool/main/h/haskell-mmap/haskell-mmap_0.4.1-1.dsc
haskell-mmap_0.4.1.orig.tar.gz
  to pool/main/h/haskell-mmap/haskell-mmap_0.4.1.orig.tar.gz
libghc6-mmap-dev_0.4.1-1_amd64.deb
  to pool/main/h/haskell-mmap/libghc6-mmap-dev_0.4.1-1_amd64.deb
libghc6-mmap-doc_0.4.1-1_all.deb
  to pool/main/h/haskell-mmap/libghc6-mmap-doc_0.4.1-1_all.deb
libghc6-mmap-prof_0.4.1-1_amd64.deb
  to pool/main/h/haskell-mmap/libghc6-mmap-prof_0.4.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532266@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@riseup.net> (supplier of updated haskell-mmap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jul 2009 10:16:51 -0300
Source: haskell-mmap
Binary: libghc6-mmap-dev libghc6-mmap-prof libghc6-mmap-doc
Architecture: source all amd64
Version: 0.4.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Description: 
 libghc6-mmap-dev - hashed file storage support code
 libghc6-mmap-doc - hashed file storage support code; documentation
 libghc6-mmap-prof - hashed file storage support code; profiling libraries
Closes: 532266
Changes: 
 haskell-mmap (0.4.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #532266)
Checksums-Sha1: 
 9582c14016853ac54240710d48e7accaf556dcf2 1448 haskell-mmap_0.4.1-1.dsc
 5bfe85d60fea89e85c797687fd08493305563dbe 5956 haskell-mmap_0.4.1.orig.tar.gz
 e0a99e594c709cb2cf22d8daa009d9aa290842cb 2032 haskell-mmap_0.4.1-1.diff.gz
 92de051962bb4248b1dbbcece8e64b0b1dec1c8c 17580 libghc6-mmap-doc_0.4.1-1_all.deb
 d9cd9f3091a31f330ba8beb57b11618852d2f089 38148 libghc6-mmap-dev_0.4.1-1_amd64.deb
 aee5351e8ca49736192700006ac713dfe229e527 33768 libghc6-mmap-prof_0.4.1-1_amd64.deb
Checksums-Sha256: 
 77e8d247c1623079949fb1e4fb6d4471570fa802c3c368c12c7acfb7ef11c97f 1448 haskell-mmap_0.4.1-1.dsc
 792b8ecfb0cce1f8588f0d2a63c6893ff98a2479c06745583da8166d5a46ead9 5956 haskell-mmap_0.4.1.orig.tar.gz
 212c08aba897dcda89068c26f7fe4c36aedbdd2034ed2df21091eae5693cce55 2032 haskell-mmap_0.4.1-1.diff.gz
 b954531a726eb908d9a5326ed5f6bc0bb7fe666ad4ba1c8673698d273c27618b 17580 libghc6-mmap-doc_0.4.1-1_all.deb
 e15800a3a3d4031c9db5519b914848c1c00084f766f684f0b086f9cfa1cfafab 38148 libghc6-mmap-dev_0.4.1-1_amd64.deb
 2659226056974c71a0864599f9e4fa3970a931926529f1d24f97acd94963e99b 33768 libghc6-mmap-prof_0.4.1-1_amd64.deb
Files: 
 7705d2b1930de22e5fc43a33a5b36c6f 1448 haskell optional haskell-mmap_0.4.1-1.dsc
 2ebe9772a0efd0a6febfbc67c02faab2 5956 haskell optional haskell-mmap_0.4.1.orig.tar.gz
 2b8059a07e588ac4d5c701ec7cc4d395 2032 haskell optional haskell-mmap_0.4.1-1.diff.gz
 6c9a1f52fe1284bf995ae9c7a3b26a58 17580 doc optional libghc6-mmap-doc_0.4.1-1_all.deb
 6a309d9e43fcd11ce2914d39d0cb7001 38148 haskell optional libghc6-mmap-dev_0.4.1-1_amd64.deb
 0e759bb5773e2610b6a60491e2e8e4ce 33768 haskell optional libghc6-mmap-prof_0.4.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpkOyMACgkQ9ijrk0dDIGyUyQCeOs//ngGq0v1vVubN8Mbpl7Wt
q/0AoJIjnS5jb/4Lchpa/WETOMqvE5/3
=Nwkw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Sep 2009 07:41:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:50:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.